Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.impl
Class DynamicBeanTag

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.DynaTagSupport
              org.apache.commons.jelly.DynaBeanTagSupport
                  org.apache.commons.jelly.impl.DynamicBeanTag

All Implemented Interfaces:
  DynaTag, BeanSource, Tag

    public class DynamicBeanTag

extends DynaBeanTagSupport
implements BeanSource

This tag is bound onto a Java Bean class. When the tag is invoked a bean will be created using the tags attributes. The bean may also have an invoke method called invoke(), run(), execute() or some such method which will be invoked after the bean has been configured.

Version:
  $Revision: 155420 $
Author:
  James Strachan, Jason van Zyl

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`DynamicBeanTag(java.lang.Class beanClass, java.util.Map attributes, java.lang.String variableNameAttribute, java.lang.reflect.Method method)`

Method Summary
`void` | `beforeSetAttributes()` Callback to allow processing to occur before the attributes are about to be set
`void` | `doTag(XMLOutput output)` Evaluates this tag after all the tags properties have been initialized.
`java.lang.Object` | `getBean()`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)` Sets an attribute value of this tag before the tag is invoked

Methods inherited from class org.apache.commons.jelly.DynaBeanTagSupport
`getAttributeType, getDynaBean, setContext, setDynaBean`

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.jelly.Tag
`getBody, getContext, getParent, invokeBody, setBody, setParent`

Constructor Detail

### DynamicBeanTag

    public DynamicBeanTag(java.lang.Class beanClass,
                          java.util.Map attributes,
                          java.lang.String variableNameAttribute,
                          java.lang.reflect.Method method)

Parameters:
  `beanClass` - Class of the bean that will receive the setter events
  `attributes` -
  `variableNameAttribute` -
  `method` - method of the Bean to invoke after the attributes have been set. Can be null.

Method Detail

### beforeSetAttributes

    public void beforeSetAttributes()
                             throws JellyTagException

  Description copied from class: `DynaBeanTagSupport`
  Callback to allow processing to occur before the attributes are about to be set

  Overrides:
    `beforeSetAttributes` in class `DynaBeanTagSupport`
  Throws:
    `JellyTagException`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)
                      throws JellyTagException

  Description copied from class: `DynaBeanTagSupport`
  Sets an attribute value of this tag before the tag is invoked

  Specified by:
    `setAttribute` in interface `DynaTag`
  Overrides:
    `setAttribute` in class `DynaBeanTagSupport`
  Throws:
    `JellyTagException`

### doTag

    public void doTag(XMLOutput output)
               throws JellyTagException

  Description copied from interface: `Tag`
  Evaluates this tag after all the tags properties have been initialized.

  Specified by:
    `doTag` in interface `Tag`
  Throws:
    `JellyTagException`

### getBean

    public java.lang.Object getBean()

  Specified by:
    `getBean` in interface `BeanSource`
  Returns:
    the bean that has just been created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.